// cStaticName.h: interface for the cStaticName class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cName_H
#define cName_H

#include <string.h>

class cName{
protected:
	char *pName;
	int NameLength;

public:
//	cName();
	cName(int _NameLength);
	cName(const cName &a);
	virtual ~cName();

	virtual bool SetName(const char *NewName);
	char *GetName(){ return pName; }

	operator char *(){ return pName; }

	void operator=(const cName &a);

	friend bool operator==(const cName &a, const cName &b);
	friend bool operator!=(const cName &a, const cName &b);
	friend bool operator<(const cName &a, const cName &b);
	friend bool operator>(const cName &a, const cName &b);

};

#endif
